Query Information of a MoH Playlist
Query the information of a MoH (music on hold) playlist.
Request URL
GET {base_url}/{api_path}/play_list/get?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the MoH playlist. Note: You can query the ID of the MoH playlist using Query MoH Playlists. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object <MoH_Playlist> | The basic information of the MoH playlist. |
MoH_Playlist
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the MoH playlist. |
| list_name | String | The name of the MoH playlist. |
| play_order | String | Playback order of the MoH in the playlist.
|
| list_type | Integer | The type of the MoH playlist.
|
| stream_url | String | The URL of the streaming music. |
| prompt_list | Array <MoH_File> | The information of each MoH file. |
MoH_File
| Parameter | Type | Description |
|---|---|---|
| file | String | The name of the MoH file. |
Examples
Request example
GET /openapi/v1.0/play_list/get?id=14&access_token=6pAmpgdKOOCr1BtI9tCRJpjVXZPdgLYf HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"id": 14,
"list_name": "SoftBreeze",
"play_order": "random",
"list_type": 1,
"stream_url": "",
"prompt_list": [
{
"file": "DawnChime.wav"
},
{
"file": "WhisperingPine.wav"
}
]
}
}